clang-tools 10.0.0

Classes | Namespaces | Typedefs | Functions
Rename.h File Reference
`#include "Path.h"`
`#include "Protocol.h"`
`#include "SourceCode.h"`
`#include "clang/Basic/LangOptions.h"`
`#include "clang/Tooling/Core/Replacement.h"`
`#include "llvm/Support/Error.h"`
Include dependency graph for Rename.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | clang::clangd::RenameInputs

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Typedefs
using | clang::clangd::DirtyBufferGetter = llvm::function_ref< llvm::Optional< std::string >(PathRef AbsPath)>
| Gets dirty buffer for a given file `AbsPath`. More...

## Functions
llvm::Expected< FileEdits > | clang::clangd::rename (const RenameInputs &RInputs)
| Renames all occurrences of the symbol. More...
llvm::Expected< Edit > | clang::clangd::buildRenameEdit (llvm::StringRef AbsFilePath, llvm::StringRef InitialCode, std::vector< Range > Occurrences, llvm::StringRef NewName)
| Generates rename edits that replaces all given occurrences with the NewName. More...
llvm::Optional< std::vector< Range > > | clang::clangd::adjustRenameRanges (llvm::StringRef DraftCode, llvm::StringRef Identifier, std::vector< Range > Indexed, const LangOptions &LangOpts)
| Adjusts indexed occurrences to match the current state of the file. More...
llvm::Optional< std::vector< Range > > | clang::clangd::getMappedRanges (ArrayRef< Range > Indexed, ArrayRef< Range > Lexed)
| Calculates the lexed occurrences that the given indexed occurrences map to. More...
size_t | clang::clangd::renameRangeAdjustmentCost (ArrayRef< Range > Indexed, ArrayRef< Range > Lexed, ArrayRef< size_t > MappedIndex)
| Evaluates how good the mapped result is. More...